cmake_minimum_required(VERSION 3.10)

project(sample-fft-float16-1d)

find_package(elcore50-signal-lib QUIET)
if(${ELCORE50_CL_BUILD})
    find_package(ElcoreRuntime REQUIRED)
endif()

add_executable(sample-fft-float16-1d sample-fft-float16-1d.c)
target_link_libraries(sample-fft-float16-1d PRIVATE elcore50-signal-lib)
if(${ELCORE50_CL_BUILD})
    target_link_libraries(sample-fft-float16-1d PRIVATE elcore-runtime)
endif()
